Introduction

Welcome!

Advanced Uninstaller is more than an application manager. With the capacity to soup up your Registry and spruce up your Start menu, this powerful organizer unclutters your PC. No matter how tidy a person you consider yourself to be or how vigilant you are at keeping your personal effects in good shape, it is likely that your PC is in a much less organized state.

You may believe your desktop to be a haven of tranquility, with its handful of icons all lined up neatly with the carefully-selected wallpaper background, but there is likely to be all manner of mayhem going on behind the scenes. You may be ever so careful about the programs you choose to download from the Web, but unless you have your firewall cranked right up, a few things may have side-stepped your vigilant eye and could be causing your machine to perform at a less than optimum pace. Every time you open a Web site, suspicious characters such as pop-ups, cookies and temporary files invite themselves onto your machine and take up a shadowy residence in the hope that you don't have the software or curiosity to chase them out.

Besides these more shady sorts are endless amounts of unused or expired program files, plug-ins, URL records and History records loitering about after your last time on the Web. In this tutorial, we're going to introduce you to Advanced Uninstaller – a system management application that helps you complete a range of standard computer cleansing tasks, wrapped up in one free download.

If you want to tackle the number of cookies installed on your system, give your computer a good defragment and generally spring-clean your startup application list. Advanced Uninstaller will prove to be a delight. It's a flexible, easy-to-use program geared to tackling these important tasks and a whole lot more besides, to make sure your system is running as efficiently as possible. It will pretty much guarantee that you'll receive no nasty surprises when innocently demanding your machine to perform another task. All of the program’s operations are aided by a very friendly wizard, who guides you through your chosen cleaning procedure, and the functions are all completed with a simple drag and drop.

So rather than wondering why your PC is running so sluggishly, just load up Advanced Uninstaller PRO, an easy to use suite for uninstalling applications and keeping your computer clean, fast and in its best shape. All features of Advanced Uninstaller PRO are designed to be both safe and easy to use.

You can easily uninstall programs by selecting the application from a list, or by dragging and dropping a file or shortcut on the Advanced Uninstaller PRO desktop icon.

The Startup Manager gives you control over the programs that are automatically started by Windows, and offers you detailed information about each one of them, including advice about what the program does and whether you should disable it or not. Advanced Uninstaller PRO includes a huge knowledge base containing startup program descriptions.

This new release contains a powerful registry cleaner, defragmenter and optimizer which will help you keep your registry fast, clean and easily accessible by all programs. A registry backup utility is also included.

The Quick Cleaner will allow you to perform a one step clean-up of your computer and to protect your privacy. It can safely delete the Internet visited pages history, the web addresses you typed, the Internet cookies and also the recently open files list for more than 100 applications, including Microsoft Office, Windows Media Player, ICQ, MSN, WinZip, RealPlayer, Kazaa, WinAmp, etc.

Advanced Uninstaller PRO also enables you to remove all not working Start Menu shortcuts, to hide and show them at your will and to alphabetically sort the entire Start Menu.

Some other important functions of Advanced Uninstaller PRO are: finding and deleting garbage and temporary files left behind by Windows, Internet Explorer and other applications, detailed Internet Explorer configuration by enabling or disabling its toolbars, plug-ins and BHOs, a nice and powerful font manager, a Control Panel manager and many, many more.

Here are the tools available in Advanced Uninstaller PRO:

General Tools

Launch Advanced Uninstaller and choose 'Uninstall Programs' from the 'General Tools' menu to launch a list of applications on your computer. Click the box next to any unwanted element and then 'Uninstall checked programs'. Click 'OK' to confirm your choice.

This tool allows you to access the Installation and Uninstallation monitor. By using it you will be able to uninstall programs that have been monitored during their installation or install a new application.

This tool deals with programs that launch when you start up. Click 'Startup Manager' and the current list is revealed. Click a program and 'Show more info' to gauge its importance and click 'Disable' to remove it from the list.

The Services Manager allows you to easily take control of services that are started each time you use your computer. Note: This tool is not available for Windows versions that don't use services.

With all the sprucing tools available in this busy program, you could spend precious minutes tweaking your system to perfection. But should you just want to keep on top of things or run a swift eye over your machine, the Advanced Uninstaller Quick Cleaner will perform a quick system scour to remove a range of unwanted elements in a click.

The next phase of tools tackles the 'Start' menu. The top option lets you hide any unwanted programs from the list. Just tick each one and click 'Apply. Now choose 'Start menu cleaner'. This wizard will remove any broken shortcuts.

The Font Manager works the same way. Click an installed font you don't recognize and a sample appears in the pane to the right. To disable any unwanted elements, select the font and click 'Disable'. Highlight and choose 'Enable' to undo.

The Control Panel Manager lets you examine, disable and uninstall Control Panel items. Click the button and browse the list of items. To test what each element does, highlight and click 'Run selected'. To remove or disable it, simply click the relevant icon.

Access the online features: ratings, user forum, user survey, etc. .

File and Registry Tools

Some times you might end up saving the same file several times. The Duplicate Files tool allows you to scan your computer for duplicate files, zero-sized files and empty folders.

Helps you use the live file compression feature built into Windows and save precious disk space.
Helps you prevent file recovery by safely overwriting the items you wish to delete multiple times, with random data, and then deleting them. This ensures that nobody can recover them, and this includes computer repair guys, thieves and government agencies with sophisticated computer forensics tools.

Temp files are left behind by a variety of visited programs. To free some disk space, click this option and a wizard launches. Click 'Next' and Advanced Uninstaller will start totting up your temp files. To remove, click 'Delete' for a neat task summary.

This tool deals with the nervous system of XP - the Registry. 'Registry cleaner' launches a wizard to check all Registry keys for fixing or deletion. Choose 'Perform all Registry tests' and 'Next' for a summary of your system. Click 'Repair all' to reverse any damage.

A much-needed task for weary computers is a Registry defragmentation, although many people don't get around to this as often as they should. Put Advanced Uninstaller to work with the 'Registry optimizer'. When this is done, click 'Registry backup/restore' to save your good work.

After using the Registry Cleaner or the Registry Optimizer, or before installing a dangerous program, click 'Registry backup/restore' to save your good work.

Internet Explorer Browser Tools

To make sure peeping Thomases don't see where you've surfed before, you can manage your traces with the Browsing History tool. Click the option for a comprehensive list of past places. Tick those to remove and click 'Delete'.

You can use the 'Cookie Manager' to remove any rogue elements from your machine. Click the tool and a list of cookies installed launches. Highlight an entry for a summary of its values, or cross the box next to it and click 'Delete' to remove it from the list.

Internet Explorer offers several ways in which other programs can change it's behavior and improve it's features. For example, Internet Explorer can not, by itself, display highly animated web sites. But, because Internet Explorer can be extended, another company called Macromedia has created an extension plug-in called Flash, which can display multimedia web sites. Many other enhancements, like download managers, etc, are also available.

Should you want to remain ultra secretive about where you've been on the Web, Delete Temporary Internet Files' for good measure. Use the buttons to specify dates or files for removal, search for a keyword or remove the lot.

Mozilla Firefox Browser Tools

Manage Internet addresses typed in Mozilla Firefox's address bar. Don't let other people see what sites you just visited!

You can use the 'Cookie Manager' to remove any rogue elements from your machine. Click the tool and a list of cookies installed launches. Highlight an entry for a summary of its values, or cross the box next to it and click 'Delete' to remove it from the list.

Uninstall or disable unwanted Mozilla Firefox Extensions. Make your Mozilla Firefox run faster and get rid of accidentally installed stuff!

Should you want to remain ultra secretive about where you've been on the Web, Delete Temporary Internet Files' for good measure. Use the buttons to specify dates or files for removal, search for a keyword or remove the lot.

Google Chrome Browser Tools

Manage Internet addresses typed in Google Chrome's address bar. Don't let other people see what sites you just visited!

You can use the 'Cookie Manager' to remove any rogue elements from your machine. Click the tool and a list of cookies installed launches. Highlight an entry for a summary of its values, or cross the box next to it and click 'Delete' to remove it from the list.

Should you want to remain ultra secretive about where you've been on the Web, Delete Temporary Internet Files' for good measure. Use the buttons to specify dates or files for removal, search for a keyword or remove the lot.

Reports and Extra Tools
Displays the installed programs report.
Displays the list of monitored applications then the list of operations performed by a monitored program during its installation.
Displays a report containing the auto-startup applications. The list also includes the ones that you disabled.
Displays a list of all Windows services together with their statuses.
Displays a list of all installed Windows fonts.

To find out the latest news about Advanced Uninstaller PRO, please visit:
 http://www.advanceduninstaller.com

For tech support, please click here.

Copyright Innovative Solutions.
All rights reserved. Advanced Uninstaller PRO is the property of Innovative Solutions or its licensors and is protected by international copyright law.


Uninstall Programs

The Uninstall Programs tool allows you to quickly find and uninstall the programs on your computer.

You can only select one program from the list and press the Uninstall button in order to remove it. Then you can allow the Leftover Scanner to search for items left behind by the uninstall process.

The Drag & drop uninstall button allows you to easily uninstall programs by dragging and dropping then from the Start Menu, Desktop, etc into Advanced Uninstaller PRO. To read more about this click here.

To see more details about a program in the list, select that program then press the Properties button. Alternatively you can right-click on a program in the list then select Properties. A window containing details about the selected program will be displayed.

In case you have a stubborn uninstall entry, you can forcefully remove it from the list by using the Forced removal button.

The Remove invalid button searches for and removes all the invalid entries at once.

In order to search for a particular program just start typing it's name in the Search box. The list of programs will then only display the programs that match the text you entered.

The View style button changes the viewing style of the program list. You can view the program list using small or large icons, multiple or single columns, etc.

The Refresh button will reloadthe list of installed programs.


Startup Manager

The Startup Manager gives you control over the programs that are automatically started by Windows, and offers you detailed information about each one of them, including advice about what the program does and whether you should disable it or not. Advanced Uninstaller PRO includes a huge knowledge base containing startup program descriptions.

The upper list contains the programs that are set to run when your computer starts. You can use the Remove button to remove a program from this list, so it won't start anymore.

Or, if you are not sure if you want a certain program to start or not, you can just disable the program by pressing the Disable button. When you press the Disable button, the program won't start anymore at system startup, and it will be moved to the disabled programs list, in the lower panel. You can at any time enable a program by pressing the Enable button.

The Show more info button shows more information about the program you have selected and allows you to search the Internet for more information about the selected program. Advanced Uninstaller PRO includes a huge knowledge base containing startup program descriptions.


Services Manager

The Services Manager allows you to easily take control of programs that are automatically started each time you use your computer. Services are important programs that are started before any other Windows program. They usually take care of networking, web publishing, firewalls, etc. You must read very carefully each service's description before deciding whether you can stop it or not.

For more safety some services can not be stopped at all. :) In case you start or stop a service that causes your Windows not to respond anymore a computer restart will solve the problem. When you stop a service we recommend you to test Windows and all programs that might depend on that service. In case everything is OK you may choose to never start this service again (see the Properties button and choose Disabled or Manual as starting options).

Some services depend on other in order to start. This means that if you will try to start the service A which depends on service B, you won't be able to do this; you will have to start service B first.

We created a profiles list that contains the most important configurations that can be found today. When you first run the Services manager tool your initial configuration is added to this list so that in case you will make a mistake you will be able to restore your services' settings to their initial state.

You can create your own profiles, edit and delete existing profiles (except for the predefined ones and for the initial profile named Original settings).

Note: In the Profiles Editor none of the predefined profiles can be edited for safety reasons. If you want to save your own profile please take the following steps:

  1. Stop / start all services that you want

  2. Click on the "Save profile to list" button (the same button is located on both Profiles Editor and Services Editor tabs).

The new profile will be then listed in the Available Profiles list. If you want to modify it's name and description you can use the "Edit profile" button.


Quick Cleaner

With all the sprucing tools available in this busy program, you could spend precious minutes tweaking your system to perfection. But should you just want to keep on top of things or run a swift eye over your machine, the Advanced Uninstaller Quick Cleaner will perform a quick system scour to remove a range of unwanted elements in a click.

The first category of removable elements features items you can preen such as your temp files, recycle bin and History, while the other offers a list of applications that might leave tracks you'd want to remove, such as previously opened files, playlists and plug-ins. Running Quick Cleaner through your machine will keep it running efficiently, although this is a bulk system cleansing tool. If you want to keep abreast of your system performance, QuickLaunch offers quick peace of mind, although not a fraction of the functions available from Advanced Uninstaller.

Quick Cleaner gives you one-click removal of those niggly little files that fill up your file space. In a matter of seconds we have cleansed our system of a whole host of unwanted elements.

Many programs that you use on your computer have history functions. For example, Internet Explorer or Mozilla Firefox remember information about the websites pages that you visited. Microsoft Word remembers information about the last few document files you opened, so you can easily open them again. Programs usually keep this information in order to help you.

But, sometimes, this information can be a problem. You may not want other people to know what documents, web sites and multimedia files you opened. The Quick Cleaner tool allows you to quickly delete all these usage tracks stored by programs on your computer.

You can select the items you wish to clean from any of the two tabs, and then press the Clean button to clean all the selected items.

The items you can clean are divided into two panels:

  • Windows and browsers allows you to select Windows and Internet browsers cleaning options.
  • Other applications allows you to select applications cleaning options.

You can click the Select button to select all items, none of them, or to invert the current selection.

On the first tab you can choose from several items what you may wish to clean:

Internet Explorer addresses you typed in the address bar | Every time you type an address into Internet Explorer's address bar, it saves that address on your hard-disk. Internet Explorer keeps records containing all the web addresses you typed in the address bar, and other information. This Quick Cleaner option deletes all the web addresses that you typed in the address bar.
Internet Explorer visited pages (the browser history) | Every time you visit a web page, Internet Explorer, it saves the page's web address on your hard-disk. Internet Explorer keeps records containing the addresses of all the web pages you visited, and other information. This Quick Cleaner option deletes all the information about the web pages you visited.
Internet Explorer saved cookies | Some of the sites you access ask Internet Explorer to store a cookie on your computer. A cookie is a small file containing information. The next time you visit that web site, Internet Explorer will send the cookie back to the site. This is how some Internet sites, like Amazon.com, can remember who you are and/or your shopping cart contents the next time you visit them. However, you may not wish some web sites to know that you have visited them before. Read more info on cookies here . This Quick Cleaner option deletes all the cookies stored on your computer, with the exception of the "protected" cookies (read more about protected cookies here). You can see the list of protected cookies by pressing the "Protected cookies" button located just underneath the upper panel.
Temporary Internet Explorer files | While you surf the web, the Internet Explorer browser keeps a cache of pages you already visited. It saves all the contents of these pages, including text and images, to a special folder on your hard-disk. This folder is also called the Internet cache. Because of this, when you visit a web page again, the browser is able to quickly show you the page because it already has its content in the cache, and doesn't need to download it from the web server. This Internet cache feature helps you browse the web faster. However, someone may examine your Internet cache and see what web sites and pages you visited, what images you viewed, etc. Another problem is the fact that in time these pages that were automatically saved will take up a lot of your computer's disk space. This Quick Cleaner options deletes all of the content of the Internet cache.
Windows temporary files | While working, many computer programs and also Windows itself create a lot of temporary files. While these files are not harmful in themselves, they tend to accumulate and take up a lot of disk space. Also, when your disk space is low, Windows works slower than usual. This Quick Cleaner option deletes all the temporary files, created by Windows and by other programs. This feature is absolutely safe; it avoids deleting the files that are in use when you run it, so the programs that are also running at the time don't have any problem.
Start menu "Run" history | There is a Run option in your Start Menu. This allows you to enter a command line which will be executed by your computer. Windows keeps a list of the command lines that have been entered. This Quick Cleaner option deletes the list containing the entered command lines.
Start Menu list of recently accessed documents | The Start Menu contains a list of documents you recently opened. Because of this, anybody who sits at your computer can see what documents you recently opened. This Quick Cleaner option deletes this list.
The contents of the Recycle Bin | When you delete a file on your computer, it usually ends up in your Recycle Bin. If you go to the Recycle Bin, you can see all the files you deleted, and undelete them. While this is a good feature, it also means that somebody can open your Recycle Bin and see what files you wanted to get rid of. This Quick Cleaner option allows you to delete all of the content of your Recycle Bin for good.

On the second tab you can select which application's tracks you wish to remove. If you select, for example, Word XP, then the last opened documents list of Microsoft Word XP will be erased when you press the Clean button.

The Settings and Restore buttons on the second tab allow you to customize the cleaning for each application. This feature is for expert use only, and is useful only if you installed applications in directories other than the default ones.

For example, in the case of Copernic 2001 PRO, the following data will be deleted:

c:\Program Files\Copernic 2001 Pro\Search Results\*.*
c:\Program Files\Copernic 2001 Pro\data\*.*

If you installed Copernic in a different location than c:\Program Files\Copernic 2001 Pro\ then nothing will be cleaned. If you want to be able to clean this data then you will need to adjust Advanced Uninstaller PRO's settings to point to the correct location on your hard disk. You can do this change by:

  • starting the Quick Cleaner

  • go to the second tab

  • selecting Copernic 2001 Pro (or what program / version you want to change)

  • clicking on the Settings button

  • the program will warn you that this feature should only be used by advanced users

  • if you feel like an advanced user :) and you are sure that you won't change the cleaning settings so that the program will erase all your programs instead of the Copernic history, click "Yes"

  • select a path that you would like to modify then click on "Locate"

Here is the list of some of the applications supported by Quick Cleaner:

1 Cool Button Tool - Java 4.5
Ability Office 2002
Access 2000
Access 2003
Access XP
ACD FotoSlate 3.1
ACDSee 3.x
ACDSee 4.0
ACDSee 5.0
ACDSee 6.0
ACDSee 7.0
Acoustica Cd Label Maker
Acrobat Reader 3.x
Acrobat Reader 4.0
Acrobat Reader 5
Acrobat Reader 6.0
Ad-aware 6
Adobe Acrobat 5.0
Advanced Browser
Agent NewsReader
Agnitum Outpost Pro
AOL 6.0 Temp File
AOL 7.0 Chat Log
AOL Instant Messenger
Avant Browser
Axialis IconWorkShop
AX-Icons 4.x
BearShare
CheckDisk Files
CleanDiskTempFile
CoffeeCup GIF Animator
Copernic 2001 basic
Copernic 2001 Plus
Copernic 2001 Pro
Copernic Agent
CuteFTP 4.0
CuteHTML
Divx Player
DLExpert v0.99
Download Accelerator (DAP)
Ebay Toolbar
Emule temp folder
Excel 2000
Excel 2003
Excel XP
Firefox (Mozilla)
Flash 5
Flash Get
FlashFXP
FotoCanvas Lite
FrontPage 2000
FrontPage 2003
FrontPage XP
Fun CD
GetRight 4.x
Go!Zilla
Google Deskbar
Google Tool Bar
Google Toolbar 2.0.92 beta
Hotbar 3.0
HTML Help Workshop
ICQ2000B
IE Downloaded Program Files
iMesh
IrfanView 3.95
IrfanView 3.x
Jasc Animation Shop 3
KaZaA
K-Lite Codec Pack
Kodak Imaging
LeapFTP 2.61
LView Pro
Macromedia Dreamweaver MX
Macromedia Firework MX
Macromedia Flash MX
Mass Download
Media Jukebox
Media Player Classic
MediaPlayer
Micromedia Dreamweaver 4.0
Micromedia Firework 3.0
Micromedia Firework 4.0
Microsoft Photo Editor
mIRC
Morpheus
Mozilla Mail
MS Imaging
MS Paint
MS Photo Editor
MSN Messenger
MSN Tool Bar
MusicMatch Jukebox
NeoPlanet Browser
Nero Burning Rom
Net Vampire 3.x
Netants
NetCaptor
Netmeeting
Netscape Mail
NotePad+
Office 2000
Office 2003
Office 97
Office XP
Opera 7
Paint Shop Pro 7
Paint Shop Pro 8
Paint Shop Pro 9
PhotoCanvas 2.0
PhotoImpact 6.0
PhotoImpact 7.0
PhotoImpact 8.0
Photoshop 5.0
Photoshop 6.0
Photoshop 7.0
PicoZip
PolyView 3.92
Popup Purger
PopUpCop
PowerArc
PowerDVD
PowerPoint 2000
PowerPoint 2003
PowerPoint XP
PowerZip 6.0
Real Download 4.0
RealOne
Realplayer 8.0
Save Now
Shareaza
Skype
Smart Explorer
SmartDraw 6
Solways internet search v2.1
Sonique
Sony Vegas 5.0
Star Downloader
SWiSH 2.0
The Playe
Trillian
Trustfiles
Ulead GIF Animator
Ulead Photo Explorer 8.5
Ulead PhotoImpact 10
UltraEdit
WebFerret
Wildstylz
WinAce
Winamp 2.7x
WinRar 2.x
WinRar 3.x
Winzip
Word 2000
Word 2003
Word Pad
Word XP
Yahoo! Message
ZipMagic
Zone Alarm Log File


Start Menu Cleaner

After you use your computer for several weeks or months, your Start Menu will probably contain invalid shortcuts. These shortcuts that are present, but they don't work anymore because you have uninstalled the application they would normally start.

The Start Menu Cleaner wizard scans the entire Start Menu and Desktop for invalid shortcuts and empty folders then shows you a list and allows you to delete all or some of them.


Font Manager

When you install on your computer a lot of applications, and especially applications such as Microsoft Word or other text processing programs, you end up with a computer full of fonts that most of the time are not used. Advanced Uninstaller PRO allows you to:

  • disable fonts (fonts will remain on your computer, but they won't show up in the font list; it will be much easier for you to choose from a list of let's say 20 fonts instead of searching through a list of 100 fonts)
  • delete fonts (files containing fonts will be physically removed from your computer, for good)

But take care: it is always recommended to disable a font first and see for a week or so how the system works without it and if there are any programs that raise errors when they can not find the disabled font. If you get such error messages - just re-enable the font. If no program seems to bother that the font is missing, just uninstall it.

The upper-left list contains the fonts installed on your system. On the right of the fonts list, you can see the preview window for the current font. You can disable fonts so they are no longer loaded by Windows, and after a while you can enable them back.

Fonts can be uninstalled by pressing the Remove button.

The Refresh button refreshes both the upper and the bottom list.


Control Panel Manager

Some programs install Control Panel icons. For example, Nero ImageDrive installs a Control Panel icon; most Symantec programs also install a Control Panel icon, etc.

It might happen that these icons installed by different applications don't work - they are broken. Sometimes you uninstall an application only to discover that the Control Panel icon it installed is still there, but it doesn't work anymore.

The Control Panel Manager allows you to manage all these icons by enabling, disabling or permanently remove them.

If you don't want to see anymore an icon listed in the Control Panel, you can select it and then press the Disable button. The icon you selected will then be displayed in the lower panel, and it won't be displayed by Windows anymore.

The Run selected button allows you to start the Control Panel application you have selected.

The Refresh button refreshes both the enabled and the disabled icons list.


Font Manager

Web Tools

Choose one of our exciting online services.

Participate in our rich online forum about programs and other items installed on your computer.
View the safety ratings given to programs and items by other Advanced Uninstaller users.
Check out the new and interesting software on the web site of Innovative Solutions, the makers of Advanced Uninstaller
Your opinion is very important to us! Help us develop this program by telling us what you think about it, and what new features you would like to see in it.


Duplicate Files

When you spend days in from of your computer you save a lot of information for later use. You save documents, Internet pages, images, movies, and many more. The problem is that after some time you might end up saving the same file several times. The Duplicate Files tool allows you to scan your computer for duplicate files, zero-sized files and empty folders.

You can choose to scan one fixed disk, all your disks or just some folders for duplicate files. You can choose to search for all kinds of duplicates, just duplicates of the common files or duplicates only of a specified type (only movies, or only audio files, etc).

The settings Window allows you to tune the search-settings of this tool to better suit your needs. Many comparison options are available allowing you to optimize the search process for a better match or higher search speed.

You can enter file and folder exceptions. These will be omitted when scanning your computer.

The Load defaults button makes sure that you can always restore the initial settings that we believe to be the best choice for most users.


Live File Compression helps you easily use the built-in file compression in Windows to save you disk space

Live File Compression

This tool helps you use the live file compression feature built into Windows.

Live file compression means that:

  • files will be stored on disk in a compressed state, taking up less disk space than if they were stored in normal, uncompressed state
  • Windows will uncompress and compress the files as needed, behind the scenes, so you will work with them exactly like you did before they were compressed
  • you will be able to work with your files just like before (you see them in Windows Explorer and open or save them freely using any program you like)
  • you will have a lot more disk space at your disposal.

So, this tool will save you some disk space (so you can have more files on your computer's disks), and you will work with your computer exactly like before. The exact amount of disk space that you will save depends on the number of the files you have, their total size, and especially on the content of your files.

Some files, such as Word documents and text files, compress very well, and you will save a lot of disk space. Other files, such as .AVI, .MP3, .DIVX, .ZIP and .RAR files are already compressed, and you won't be able to save disk space by compressing these files.

This live compression feature is built into Windows and it's safe. Our tool only helps you use the built-in Windows feature more easily.

Wizard steps

Choose whether you wish to compress or uncompress the files

Compression steps

Add items (files, folders or entire drives) to the list of items you wish to compress

Compression stage

Uncompression steps

Add items (files, folders or entire drives) to the list of items you wish to compress

Uncompression stage


File Shredder - delete files for good, making sure that nobody can recover them. Wipe out the files forever!

File Shredder

When you delete files or folders, or when you format a computer's drive, the files (the content of your files) actually remain on your computer's disk, and they are just "marked as deleted". So, even if you delete some files or documents, anyone can undelete the files you deleted and read their content. If you format a drive, an "unformat" can often be performed and most of the files recovered.

So, when you delete files, folders or disks, someone using the right utility programs can recover (undelete) the files and read their content.

The File Shredder tool prevents this by safely overwriting the items you wish to delete multiple times, with random data, and then deleting them. This ensures that nobody can recover them, and this includes computer repair guys, thieves and government agencies with sophisticated computer forensics tools.

There are many stories of people giving away their computer for repair, deleting some documents and pictures before this, and then finding out that the computer repair guys recovered the files and pictures they had deleted on their computer, and posted them on the Internet. Or, stories of people formatting their hard-drives, selling their hard-drives on eBay, and then discovering that the buyer has recovered the data they had before formatting the drive, and used it for unlawful purposes. All these unpleasant situations could have been prevented by using the File Shredder instead of simply deleting the files or formatting a hard disk.

File Shredder makes sure that the files you specify are shredded (deleted for good, wiped out forever), and that nobody can recover them.

The File Shredder's wizard steps are:

Decide which items (files, folders and drives) you wish to wipe out forever

Settings - decide how many times the items will be overwritten

Confirmation dialog

Processing and shredding data

Final Report


Windows Temporary Files

While working, many computer programs and also Windows itself create a lot of temporary files. These files are not harmful in themselves, but they tend to accumulate and take up a lot of disk space. Also, when your disk space is low, Windows will work slower than usual.

The Windows Temporary Files wizard searches for the temporary files, and then allows you to select which temporary files you wish to delete.

The screenshot above presents the second step of the wizard. You can use the buttons to select or examine the files found. When you press the Next button, the selected files will be deleted and a report will appear.

Please note that this wizard avoids deleting the files that are in use when you run it, so it doesn't disrupt other applications.

You can also safely delete all your Windows Temporary Files in one go by using the Quick Cleaner.


Registry Cleaner

The registry cleaner searches for incorrect or corrupt registry entries, and then lets you delete or fix them.

The Advanced Uninstaller PRO Registry Cleaner carefully analyses every entry and makes safe decisions, so that all the entries detected as errors and displayed to you are safe to clean. We consider safety our number one concern when designing a program. We made sure that the registry cleaner will be both safe and easy to use. For more safety, every time you clean your registry, an undo file is created, so you can undo the modifications made by the registry cleaner at any time.

Click here for a list of frequently asked questions.

The first step of the wizard allows you to choose between 3 options:

The first option runs the cleaner and performs all the registry tests. Advanced Uninstaller PRO will find all types of invalid keys it knows about and will then display a list of found problems.

The second option lets you choose which tests to run.

The third option performs an undo on previously made repairs. Click here in order to find out more about how to undo previously made repairs.

After scanning the registry for errors, Advanced Uninstaller PRO will show you a results screen:

This step shows you the types and number of problems found, and also the severity of the problems. The Show details radio button shows you the individual problems found for each problem category. You can use the Repair all or Repair checked buttons to repair the listed problems.


Registry Optimizer

What is a registry optimizer?

The registry is a very large database where all programs installed on your computer, including Windows itself, keep their settings.

The programs write, read and delete entries in the registry all the time. Because of this the registry gets fragmented. The different pieces of data in the registry aren't stored in the normal order, and this can slow down your computer a lot.

Imagine reading a book where all the pages have been shuffled, and instead of the normal order of pages (pages 1, 2, 3...) you get a totally unnatural order (page 17, page 5, page 14, page 1...). Can you still read the book? Yes! You can search for page 1, read it, and then go through all the pages of the book and search for page 2, read it, and so on. Think about how slow this can be, compared to reading a book in which the pages are in normal order.

The same thing happens with the registry - because of the constant reading, writing and deleting of items, after a month or two, the registry items get to be in an unnatural order, which is very slow to read. And because the programs need data from the registry, this slows them down.

The registry optimizer wizard defragments your registry and optimizes it for faster access.

Is this operation safe?

Absolutely yes. When cleaning the registry or when using the optimizer all data is carefully saved prior to the operation. The program uses several "backup plans" in case something goes wrong. The registry cleaner only removes keys that we believe to be 100% in error. There are several steps of the operation:

  • saving the actual registry to disk

  • verifying that the registry was correctly saved

  • saving the actual registry to disk

  • optimizing the saved registry

  • verifying the optimized registry

  • rebooting and loading the new registry

If any one of the above steps fails then last one is NOT performed.

How to use the wizard

Before using the registry optimization wizard, please close all the open documents you are working on.

The wizard first creates a fresh, optimized copy of the registry containing the same data as your old registry and then restarts your computer in order to replace your old registry with the new, optimized one. The first steps of the wizard are very simple - you just have to press the Next button, in order for the wizard to create the new optimized registry. Please note that while creating this optimized registry, because of intense reading from your current registry, your computer may appear to lock for several minutes. This is why we recommend you to close all your open documents before using this wizard.

The final step of this wizard is:

When you press the Next button, your computer will restart in order to replace the old registry with the new, optimized and defragmented one. Again, don't worry; the new registry will contain all the data from the old one. Please be patient during the restart. Because of the registry replacement operation, this restart will take a little bit longer than usual.

After the restart the registry will be optimized and your computer should operate faster and smoother.

Another tool you can use to maintain your registry is the Registry Cleaner. We would recommend you to first use the Registry Cleaner, then the Registry Optimizer.


Registry Backup and Restore

The Registry Backup and Restore tool allows you to backup and restore your registry at any time.

The wizard is pretty self-explanatory. Please read the instructions available in the wizard. In spite of the safety measures which are already in Windows, the registry can get corrupted. That's why it's good to back up your registry from time to time.

The first page of the wizard allows you to select between two operations: backup or restore.

Please note that, when you perform a registry backup, the system will appear to lock. This happens because of the very large number of registry reads needed in order to copy the entire registry, and may take several minutes.

When you restore the registry, your computer will restart (after asking you, of course), so please make sure you save all your open documents, work, etc.


Visited Pages

Internet Explorer Browsing History

Each time you type an address into Internet Explorer's address bar, the Internet browser saves that address and other information on your hard-disk.

The Browsing History tool allows you to review the addresses you typed in the Internet Explorer address andthe entire browsing history bar, and delete some or all of them.

You can select (check) one or several web page addresses and then press the Delete button in order to delete the pages. Bellow the page list you have the Select (all, none and invert) button, which allow you to select all, clear the selection completely, and invert the current selection.


Cookie Manager

The Cookie Manager tool helps you examine, edit and delete the cookies saved by Internet Explorer.

For more information about cookies, please click here.

The list shows you the cookies currently saved by Internet Explorer on your computer.

You can select (check) some cookies, and them press the Delete selected button to delete them.

If you want the cookie manager to never delete a cookie, you can select that cookie and then check the Protect button. Please note that "protected" cookies will not be deleted by the Quick Cleaner.

The Hit rate column shows you how many times that cookie information has been sent back by the browser to the server that created the cookie.

For more information about cookies and which cookies you should delete please click here.


IE AddOns

Internet Explorer Add-Ons

Internet Explorer offers several ways in which other programs can change it's behavior and improve it's features. For example, Internet Explorer can not, by itself, display highly animated web sites. But, because Internet Explorer can be extended, another company called Macromedia has created an extension plug-in called Flash, which can display multimedia web sites. Many other enhancements, like download managers, etc, are also available.

The extension plug-ins are software programs that extend the capabilities of the browser in a specific way - giving you, for example, the ability to play audio samples or view video movies from within your browser.

There are also some examples that are not so nice: spyware and adware makers have developed Internet Explorer BHOs which help them track the pages you visit and your purchase habits on the web. Many times, these extensions are badly written and crash or slow down Internet Explorer.

The Internet Explorer Add-Ons tool allows you to disable or uninstall any extension.

There are several types of add-ons:

  • Internet Explorer Plugins
  • Internet Explorer Toolbars
  • Internet Explorer ActiveX
  • Internet Explorer Context Menus

In the upper list, you can see all the Internet Explorer extensions that are installed on your computer.

The Disable button disables an extension and moves it to the bottom list. Disabling an extension means that it won't be loaded or used by Internet Explorer, so it won't have any influence on your computer.

The Remove button directly removes and erases an extension.

You can, at any time, enable an extension by pressing the Enable button.

If you use the Internet Explorer Add-Ons tool to disable some spyware/adware, we recommend you to also use the Startup Manager tool and carefully examine your startup programs. Some spyware extensions might come together with programs that run at startup.


Visited Pages

Mozilla Firefox Browsing History

Mozilla Firefox keeps a list of all web pages you have visited.

The Browsing History tool allows you to view, delete and manage the list of visited pages.

You can select (check) one or several web page addresses and then press the Delete button in order to delete the pages. Bellow the page list you have the Select (all, none and invert) button, which allow you to select all, clear the selection completely, and invert the current selection.


Cookie Manager

The Cookie Manager tool helps you examine, edit and delete the cookies saved by Mozilla Firefox.

For more information about cookies, please click here.

The list shows you the cookies currently saved by Mozilla Firefox on your computer.

You can select (check) some cookies, and them press the Delete selected button to delete them.

For more information about cookies and which cookies you should delete please click here.


IE Plugins

Mozilla Firefox Extensions

Mozilla Firefox offers several ways in which other programs can change it's behavior and improve it's features. For example, Mozilla Firefox can not, by itself, display highly animated web sites. But, because Mozilla Firefox can be extended, another company called Macromedia has created an extension plug-in called Flash, which can display multimedia web sites. Many other enhancements, like download managers, etc, are also available.

The extension plug-ins are software programs that extend the capabilities of the browser in a specific way - giving you, for example, the ability to play audio samples or view video movies from within your browser.

There are also some examples that are not so nice: spyware and adware makers have developed Mozilla Firefox BHOs which help them track the pages you visit and your purchase habits on the web. Many times, these extensions are badly written and crash or slow down Mozilla Firefox.

The Mozilla Firefox Extensions tool allows you to disable or uninstall any extension.

In the upper list, you can see all the Mozilla Firefox extensions that are installed on your computer.

The Disable button disables an extension and moves it to the bottom list. Disabling an extension means that it won't be loaded or used by Mozilla Firefox, so it won't have any influence on your computer.

The Remove button directly removes and erases an extension.

You can, at any time, enable an extension by pressing the Enable button.

If you use the Mozilla Firefox Extensions tool to disable some spyware/adware, we recommend you to also use the Startup Manager tool and carefully examine your startup programs. Some spyware extensions might come together with programs that run at startup.


Visited Pages

Google Chrome Browsing History

Google Chrome keeps a list of all web pages you have visited.

The Browsing History tool allows you to view, delete and manage the list of visited pages.

You can select (check) one or several web page addresses and then press the Delete button in order to delete the pages. Bellow the page list you have the Select (all, none and invert) button, which allow you to select all, clear the selection completely, and invert the current selection.


Cookie Manager

The Cookie Manager tool helps you examine, edit and delete the cookies saved by Google Chrome.

For more information about cookies, please click here.

The list shows you the cookies currently saved by Google Chrome on your computer.

You can select (check) some cookies, and them press the Delete selected button to delete them.

For more information about cookies and which cookies you should delete please click here.


Temporary Internet Files

While you surf the Internet, the web browser keeps a cache containing the pages you already visited. This means that it saves all the contents of the pages you visited, including text and images, to a special folder on your hard-disk which is also called the Internet cache.

Because of this, when you visit a web page again, the browser is able to quickly show you the page because it already has its content in the cache, and doesn't need to get the contents from the web. This Internet cache feature helps you browse the web faster. However, someone may examine your Internet cache and see what web sites and pages you visited, what images you viewed, etc. Another problem is the fact that in time these pages that were automatically saved will take up a lot of your computer's disk space.

The Temporary Internet Files wizard allows you to examine and delete your Internet cache.

The first step of the wizard searches for temporary internet files. The second step, shown in the image above, allows you to select which temporary internet files you would like to delete. After you press the Next button again, the wizard will delete the selected pages.

All your temporary internet files are safe to delete, because when you visit a page again, and the web browser does not find it in the cache, it downloads the page again from the Internet, so there will be no problem.

In order to delete your temporary internet files and other items in one go, you can also use the Quick Cleaner.


The Advanced Uninstaller PRO Installation Monitor

The Installation Monitor

Advanced Uninstaller PRO is a suite which contains several tools and utilities. A very important tool offered by Advanced Uninstaller PRO is the Installation Monitor.

This tool can watch a program's installation, create an installation log containing information about everything that the setup of the program has done, and then later completely uninstall the program.

The installation monitor can monitor an application's installation and create an installation log. The installation log for the application will contain detailed information about all the additions and modifications that the application's installation (also called the application's setup) did to your system, including:

  • application files and folders added by the installation on your hard-disk
  • entries added to your registry
  • shortcuts added to your Start Menu and Desktop
  • files and folders that the application has renamed
  • INI files
  • etc.

The installation monitor can carefully watch an application's installation, and record all the changes it made to your system in an installation log. The installation log is stored in a file on your hard-disk.

Using that installation log you can later uninstall the application using Advanced Uninstaller PRO. This has several big advantages over the installation routines that are built into the programs you install, which appear in the Add or Remove Programs applet in your Control Panel:

  • You will be able to uninstall a program even if the program's uninstall routine doesn't work. How many times did you install a program, and later you found out that you couldn't uninstall it? If you monitor programs installation using our installation monitor, this problem will be gone for good!
  • When uninstalling a program with our installation monitor, that program will be completely gone from your system. No garbage entries will be left behind in your registry or on your disk after an uninstall. There will be no more dead shortcuts. This will happen because the installation log for an application contains information about all and every modification that a program has done to your system when you installed it. Because of this, our installation monitor is able to completely uninstall a program from your computer, leaving no debris behind.
  • As a result, if you properly use the installation monitor to install and uninstall software, your system will run faster, better and with fewer errors than before.

While using the installation monitor you can always press the F1 key or the Help button in order to see the built-in online help which accurately describes every function, window and control in the installation monitor.

Here is a complete, step by step manual about how to use the installation monitor:

How to monitor an application's installation ... learn how to install a program while the installation monitor watches the installation and records an install log.

What to do during installation monitoring ... important rules to follow in order to get an accurate, precise install log that you can later use to completely uninstall an application.

How to uninstall an application that you have monitored ... use the install log you have created in order to completely kick an application off your computer.

How to restore an application that you have uninstalled ... our installation monitor has some safety features. One of the most important is the ability to backup an application before uninstalling.. so if you want the application back, or if things don't go well after uninstalling, you can just restore the application from the backup, even if you don't have the original setup file that you used to install it.

Installation monitor settings ... all the things you can configure which affect the installation monitor.

Safety features in the installation monitor ... describes some of the safety features built into the installation monitor.

Monitoring can be real slow sometimes ...what can you do about it?

Should you close or not antivirus and firewall programs during monitoring ...click here to find out!

The installation monitor gives you control over what the applications install on your computer, and gives you the power to fully uninstall programs. But in order to properly use this power, it is important to use the program carefully and to read the pages above.


How to monitor an installation

IMPORTANT WARNING
Before you start to monitor an installation please stop all other running applications, including the applications in your system tray. This is very important if you want to get an accurate install log. This is a very important safety measure you can take. Don't ignore this. Click here for more information.

How to monitor an application's installation

Let's say you want to install an application. Because you plan to completely uninstall the application later, you want to monitor the install, in order to get the installation log with which you can fully uninstall the application.

If the installation monitor is not already running in your system tray you can start it from your Start Menu. In order to monitor an application's setup, please right click on the installation monitor's tray icon to access this menu:

From this menu please choose Install a new application. A file open dialog will pop up. In the file open dialog please select the installation program (setup file) you wish to monitor.

The installation monitor will start the setup file, and will also start monitoring the installation. You can tell that the installation monitor is monitoring the installation because you will see the installing window :

When you see this window, please use the program's setup the way you normally do to install the application. After the program is installed, please press the Finish button to stop monitoring the installation and to save the installation log.

The instructions in the monitoring window above are also important, so please read them.

Installation monitoring can also start automatically

When you run a setup file, the installation monitor may detect that a program installation is going on and ask you whether you want to monitor it. Here is the dialog that appears when the installation monitor detects that a setup program may be running:

If you want to monitor this installation, it is important to stop all other programs (all running programs except the installation, the installation monitor and a few Windows related programs such as the Windows Explorer) before proceeding. Please click here for more information about this. This is a very important safety measure.

If the fact that this window appears is annoying to you, you can disable the automatic detection of installations.

See also:

The installation monitor installing window

How automatic installation detection works

Uninstalling a monitored application


The installation monitor installing window

The installing window

This dialog appears on the screen when you are monitoring an installation :

If you want to get a good and accurate install log, please follow these rules:

  • Stop all applications before monitoring an install
  • If the setup program wants to restart the computer during the installation, let it restart the computer without stopping monitoring
  • After you have installed a program, it is best to run the program once, close the program, and then stop the monitoring by pressing the Finish monitoring, save installation log button. The installation log will be more complete because it will also contain the information that the program saved to the registry when it first started.

After you have finished installing a program, please press the Finish monitoring, save installation log button to save the installation log.

If you have started monitoring by mistake and you don't want to monitor an installation, just press the Cancel button. Monitoring will stop and the installation log won't be saved.

See also: How to monitor an installation


Uninstalling a monitored application

The Advanced Uninstaller PRO Installation Monitor can fully uninstall a program if you have monitored the program's installation and have saved the application's installation log created during monitoring. In order to uninstall an application for which you have an install log please right click on the System Tray icon and choose the Uninstall an application you have monitored menu item.

The uninstall wizard will appear. The steps of the wizard are:

Select an application to uninstall - in this step the Installation Monitor shows you the list of applications for which you have installation logs, and you can choose the application to uninstall.

Select uninstall options - in this step you choose the uninstall options: perform a full or custom uninstall, backup the application before uninstalling, etc.

The custom uninstall step - this step asks you to select which application items to uninstall and which application items to keep. This step appears only if the custom uninstall option was selected.

The progress step - appears when the program is reading the installation log and is processing the information necessary for showing the custom uninstall step or for uninstalling the program.

The common files step - appears if the uninstaller detects that some of the files it is about to remove are common files which may be used by other applications. If this step appears, we recommend you to unselect all the common files found, in order to be sure that all applications on your computer work properly after uninstalling the application you decided to uninstall.

Running programs - if the program that you are about to uninstall is running on your computer, this step will appear and will enable you to stop the program before uninstalling it.

The uninstall itself - this step removes the files, folders, registry entries, shortcuts, etc.

The final step - informs you about how the uninstall went, and shows how many items (files, folders, shortcuts, registry entries, etc) have been uninstalled.

After you uninstalled an application, if you have selected the backup option in the Select uninstall options step, you have a backup file, and you can restore the application from backup.


How to restore an application that you have uninstalled using the installation monitor

How to restore an application that you have uninstalled

If you have uninstalled an application using the installation monitor, and if you have checked the backup option in the uninstall options, then you have a backup of the application. You can use this backup to fully restore the application.

Let's say you want to restore an application from a backup created this way. Please right click on the installation monitor system tray icon to access the system tray menu:

In this menu, please select Restore an application from backup.

The restore wizard will appear. This wizard has the following steps:

Select backup - shows you the list of available backups. You can select a backup and press the Next button to restore it.

Restore options - in this step of the wizard you choose restore options such as: full or custom restore, whether to delete the backup after the restore, etc.

The custom restore step - shows you a list of items (files, folders, shortcuts, registry entries, INI file entries, etc) that are about to be restored and allows you to specify exactly which items you want to restore. This step only appears if you check the custom restore option in the Restore options step.

The progress step - this step appears when the restore wizard is reading the backup file and preparing to restore the application. It shows you progress information.

The restore step - performs the restore. That is, it extracts the files, folders, registry entries, shortcuts, etc, from the backup archive and installs them back on your computer, taking care that they are put back correctly, in the right order, and that everything is ok.

The final step - reports to you about how the restore went and shows you how many items of each type it has restored.


Safety features in the installation monitor

The main safety feature of the installation monitor is that when you uninstall a monitored application, it can create an application backup. This option is available in the select uninstall options step of the uninstall wizard.

If you later discover that you need that application, or that your system has some problems without that application installed, you can restore the application from the backup.

We recommend you to always select the backup file option. After a while, if your system and applications work ok, you can delete the application backup file.

If however you encounter some problems, you can just restore the application from the backup.


Installation monitor settings

The installation monitor settings dialog is the place where you can set many options which help you modify the way in which installation monitoring works.

In order to access the installation monitor settings dialog, please right click on the installation monitor system tray icon. The following menu will appear:

.

Then, from the menu shown above, please choose the Settings item. The settings dialog shown below will appear:

The settings are laid out on several tabs, according to their category.

The Revert to default settings button reverts the entire dialog to the default settings that we recommend.

Information about the settings on each tab can be found at the following pages:

Registry monitoring settings

Disk monitoring settings

INI files monitoring settings

Automatic installation detection settings

Startup settings


New Page 1

Visited Pages

IE Plugins


ActiveX Manager

Internet Explorer ActiveX

The ActiveX tool gives you control over the ActiveX programs (also called ActiveX web controls) that are downloaded by Internet Explorer from the web.

Some web sites use ActiveX programs in order to offer you a richer experience. An example of a web site which uses ActiveX programs is the Microsoft web site. Many pages of the Microsoft web site use ActiveX programs.

For the purpose of this discussion an ActiveX program downloaded from the web is just like a normal Windows program which runs on your computer. When you browse a web page which contains an ActiveX control, Internet Explorer downloads the ActiveX control to your computer and runs it. Depending on your Internet Explorer settings, Internet Explorer may ask or not for your permission to download the ActiveX control. Or, it may be configured to reject ActiveX programs, and if so it will simply not download ActiveX programs and not ask you anything.

One problem with ActiveX programs is that an ActiveX program, like a normal Windows program, can do to your computer almost anything it wishes. For example, it can delete your files, or, if it doesn't work correctly (due to a programmer error or bug) it may crash Internet Explorer. So from a security point of view, ActiveX controls used on the web are a bad technology. Yes, it can provide you with a much richer web browsing experience than the standard HTML web pages, but if an ActiveX program is downloaded from the web and executed, it can crash your Internet Explorer browser, crash or computer, or even wipe out your documents and files. This is why the default setting of Internet Explorer is to ask you whether or not to download ActiveX programs. Also, this is why we recommend you to accept ActiveX downloads only from the web sites you 100% trust.

Please note that this page refers only to ActiveX controls downloaded from the web. There are other kinds of ActiveX controls which are installed by programs such as Microsoft Word. These other ActiveX controls which are installed by programs such as Microsoft Word or Microsoft Office pose very little security risk, and are necessary for the normal functioning of your computer. In contrast, the ActiveX controls or programs downloaded from the web are just an optional part of the web experience, and can be removed without any problems.

Once an ActiveX program has been downloaded from the web, Internet Explorer keeps it in a special folder on your computer's hard-disk. Whenever a web page contains that ActiveX control, Internet Explorer runs the ActiveX control (from the local copy on your hard-disk) without asking you (because it considers that you already accepted to run that ActiveX program).

The ActiveX tool shows you the ActiveX programs that have already been downloaded by Internet Explorer and are kept on your hard-disk, and allows you to delete, disable or enable ActiveX programs.

Removing or disabling the web ActiveX programs that Internet Explorer has downloaded can fix some Internet Explorer crashes, so Internet Explorer won't crash anymore. It can also improve the stability of your computer (since Internet Explorer is an important component of Windows and is used internally by several programs).

The upper list contains the ActiveX programs that have already been downloaded to your computer. You can use the Remove button to remove an ActiveX program from your computer.

Or, if you are not sure if you want to remove a certain ActiveX program or not, you can just disable the program by pressing the Disable button. When you press the Disable button, the program will still exist on your hard-disk but it won't be accessible to Internet Explorer, so Internet Explorer can't run it anymore. If you discover that a certain web site does not display properly without a certain ActiveX program, you can enable that program at any time by pressing the Enable button, or you can simply allow Internet Explorer to download that ActiveX program again.

The Refresh lists button reads again the information about the ActiveX programs on your computer, and refreshes the lists with the new information.


Cookie Manager - What are the cookies?

What are the cookies?

Some web sites need to store information on your computer. Why?

Amazon.com cookie example

Let's imagine that you sign in to Amazon.com by entering your Amazon.com username and password. From now on, Amazon.com knows who you are. If you close your browser, and after an hour you enter the Amazon.com site again, Amazon.com still knows who you are. How does it know?

It knows because, when you sign in or log in to Amazon.com, the Amazon.com web site places a cookie in your computer. The cookie contains information like:

  • your Amazon.com customer number
  • your Amazon.com username and password (perhaps in an encrypted form)
  • the contents of your shopping cart
  • other information Amazon.com wants to store on your computer.

So - every time you connect to the Amazon.com web site, the cookie that Amazon placed on your computer is sent back to Amazon. This is how Amazon.com knows who you are, and what you have in your shopping cart.

Google cookie example

Let's say you use the Google search. On the Google web site, you click on Preferences, and set some preferences - for example, you ask Google to show you 50 search results per page instead of the default 10 search results per page. After this, every time you do a Google search, Google will show you 50 search results per page instead of the usual 10. How does Google know that you selected 50 search results per page?

It's simple - it stores the preferences you selected in a cookie on your computer.

Every time you visit Google, your web browser sends back the cookie contents to Google, and so Google knows what preferences you have set.

Other examples and uses of cookies

There are many sites that use cookies to store your login info on your computer, so you don't have to enter it each time you enter that site. Also, there are many sites that store the preferences you select in cookies on your computer.

There are also other sites that use cookies to track your movements on the web, so they know which ads to show you. For example, if you visit a few web sites about fishing, you may begin to see more and more advertisements about fishing products, even on unrelated sites.

Which cookies should I delete?

Which cookies you decide to keep is up to you. For example, if you go to Amazon.com often, and want to login automatically into Amazon.com, then don't delete the Amazon.com cookie. If you see cookies from sites you didn't visit, or visited very rarely, you may wish to delete those cookies.


Drag and Drop Uninstall

Drag & Drop Uninstall

Drag & drop uninstall allows you to take any program icon from your Start Menu, Desktop or from Windows Explorer and uninstall that program. You can perform drag & drop uninstall in two ways:

  1. by dragging and dropping the program's icon on the Advanced Uninstaller PRO icon on the desktop
  2. by dragging and dropping the program's icon on the Advanced Uninstaller PRO special drag & drop uninstall window

The Drag and Drop Uninstall Window

After you drop a program's icon on Advanced Uninstaller PRO (either on the desktop icon or on the drag & drop uninstall window), it will perform an analysis on the program you have dropped, and present you with several options. If Advanced Uninstaller PRO can uninstall the program, the first option will be to uninstall the program. Please look carefully at the options provided and choose the one you want.

Because Advanced Uninstaller PRO uses heuristics in order to determine how it can uninstall the program, it can, in very rare occasions, make some mistakes. This is why it is important for you to carefully review the options it offers after you drag & drop a program on it.

After Advanced Uninstaller PRO uninstalls the program, it will perform an additional clean-up in order to make sure that the program is completely wiped off your computer, without leaving anything behind.


File Shredder - Confirmation dialog

Confirm shredding dialog

After using the file shredder on some files, folders, drives or free space, the items that you shredded will NOT be recoverable. It is extremely unlikely that someone will ever be able to recover the data you shredded.

This is why we take the extra precaution of asking you if you really, really want to delete the information.

This question is needed in order to avoid possible accidents - people shredding files, and then being very sorry because they can't recover anything (this is the very purpose of the File Shredder tool, but some people may be using it by mistake).

More information about the File Shredder tool


File Shredder Settings - decide how many times the items will be overwritten, and other file wipe settings

File Shredder Settings

In this dialog you can decide how many times to overwrite files before deleting them.

Overwriting a file more times makes it a lot more difficult and less likely to recover the file by forensic computer experts, but makes the shredding process slower.

More information about the File Shredder tool


File Shredder - decide which items (files, folders and drives) you wish to wipe out forever!

Add the items you wish to delete for good

This step of the wizard lets you specify which items on your computer you want to delete for good.

The tool displays a list of the items that will be shredded and several buttons which add items to the list.

Add file - add a file to the list, to make sure they are erased for good.

Add drive - add an entire drive to the list. This means all the files and folders on that drive will be deleted for good, so it will be impossible to recover them through an undelete or unformat operation.

Add folder - add a folder to the list

Add free space - add the free space of a drive to the list. This means that the entire free space of a drive will be cleaned of traces of remaining files, so it will no longer be possible to recover any deleted file from that drive.

Remove - remove an item from the list

Be very careful about what you add to this list. After pressing Next, all the items in the list will be deleted for good, and you (or anybody else) won't be able to recover the items in the list.

More information about the File Shredder tool


File Shredder - shredding data

Processing

This shows you that the File Shredder tool is processing the data, and shredding it (deleting it for good).

More information about the File Shredder tool


File Shredder - Final Report

Final report

This indicates that the items you have selected have been shred (deleted for good).

More information about the File Shredder tool


IE Context Menus

Internet Explorer Context Menus

Internet Explorer offers several ways in which other programs can change it's behavior and improve it's features. This was a wise decision made by Microsoft when they developed Internet Explorer.

Many applications you install on your computer can add menus that will appear when you right click a link, image or page in Internet Explorer. The only problem is that after installing a lot of programs you might end up with a cluttered right-clock menu that will make Internet Explorer difficult to use and run slower.

The Internet Explorer Context Menu tool allows you to disable or remove these menus.

In the upper list, you can see all the Internet Explorer menus that are installed on your computer.

The Disable button disables a menu and moves it to the bottom list. Disabling a menu means that it won't be loaded or used by Internet Explorer, so it won't have any influence on your computer.

The Remove button directly removes and erases the menu.

You can, at any time, enable a menu item by pressing the Enable button.


IE Plugins

Internet Explorer Plugins

Internet Explorer offers several ways in which other programs can change it's behavior and improve it's features. This was a wise decision made by Microsoft when they developed Internet Explorer.

For example, Internet Explorer can not, by itself, display highly animated web sites. But, because Internet Explorer can be extended, another company called Macromedia has created a plug-in called Flash, which can display multimedia web sites. Also, Internet Explorer does not have a search toolbar. Google, for example, has developed such a toolbar. Internet Explorer supports browser plug-ins and BHOs (Browser Helper Objects).

Plug-ins are software programs that extend the capabilities of the browser in a specific way - giving you, for example, the ability to play audio samples or view video movies from within your browser.

Browser Helper Objects (BHOs) are small programs that can observe and control almost everything that Internet Explorer is doing. For example, a Browser Helper Object gets notified every time you browse to a new page and every time you download a new program.

Many applications you install on your computer can also install a BHO or a plug-in. Some examples:

  • The FlashGet download manager installs a BHO which allows FlashGet to find out every time you download a file, and take control of that download in order to help you download better.
  • The Adobe Viewer is a program which views PDF files. When you install it, it also installs an Internet Explorer plug-in which allows you to view PDF files inside Internet Explorer.

There are also some examples that are not so nice: spyware and adware makers have developed Internet Explorer BHOs which help them track the pages you visit and your purchase habits on the web. Many times, these plug-ins and BHOs are badly written and crash or slow down Internet Explorer.

The Internet Explorer Plugins tool allows you to disable or uninstall plug-ins and BHOs.

In the upper list, you can see all the Internet Explorer plug-ins and BHOs that are installed on your computer.

The Disable button disables a plug-in or BHO and moves it to the bottom list. Disabling a plug-in or BHO means that it won't be loaded or used by Internet Explorer, so it won't have any influence on your computer.

The Remove button directly removes and erases a plug-in or BHO.

You can, at any time, enable a plug-in or BHO by pressing the Enable button.

If you use the IE Plugins tool to disable some spyware/adware, we recommend you to also use the Startup Manager tool and carefully examine your startup programs. Some spyware BHOs come together with programs that run at startup.


IE Toolbars

Internet Explorer Toolbars

Internet Explorer supports toolbars created by companies other than Microsoft. For example, Google has developed the Google Search toolbar which is very useful while surfing the Internet.

The Internet Explorer Toolbars tool allows you to disable or uninstall these toolbars.

In the upper list, you can see all the Internet Explorer toolbars that are installed on your computer.

The Disable button disabled a toolbar. Disabling toolbar means that the toolbar won't be loaded or used by Internet Explorer, and it won't have any influence on your computer.

The Remove button directly removes and erases a toolbar.

You can, at any time, re-enable a disabled toolbar by pressing the Enable button.

The Show all and Hide all buttons allow you to show or hide all the installed toolbars in one single click.


What to do when an application's setup wants you to restart your computer

Should I stop all programs during monitoring, including my firewall and my antivirus?

This is a very good question! :) The reason why you should stop other programs is the following.

If you monitor an installation and, along with the installation (setup) program, other programs are running, then both the setup's actions and the other running programs' actions will be recorded in the install log file.

Later when you uninstall the program using the installation log, all the actions recorded in the install log will be undone. If the install log contains just the actions that the setup program did, then only those actions will be reversed (undone). That means that the program will be removed (uninstalled) correctly.

If the install log contains, along with the setup program's actions, the actions performed by other programs, then both the actions performed by the setup program and the actions performed by the other programs that were running at the time you monitored the install will be undone. This is not a correct uninstall because it involves undoing actions done by the other programs, which have nothing to do with the
setup!

The answer to your question is that, theoretically, you should stop all programs. Practically, because stopping both the firewall and the antivirus means taking some risks, you can let the firewall run in the system tray.

From our point of view, the only thing that a firewall could do is saving a log of stopped attacks during the monitoring process. This means that when uninstalling the program you monitored you would also delete the firewall's log file. Which is not such a bad thing! :)

As for the antivirus, the only bad thing that might happen is that if it will perform an automatic update during monitoring, this update might be deleted later because it would appear in the installation log of the monitored program. Also, if the antivirus would automatically start scanning during monitoring - your system could slow down a lot and even seem to be halted.

The final answer: you can leave the firewall in the system tray but I recommend you to stop the antivirus (or at least disable it's auto-update and live scanning features while monitoring).


How to disable the automatic detection of installations in the install monitor

How to disable or enable automatic installation detection

If you don't want the installation monitor to automatically detect program installs, just right click on the installation monitor's system tray icon, and uncheck the Automatically monitor installations item from the menu that appears:

If automatic install detection is disabled you can enable it by checking the menu item above.

Please note that if the installation monitor is not running in your system tray, the installation monitor can not detect new installations, simply because it isn't running. You can, however, manually start monitoring a program's installation if you start the installation monitor first.


Enter the application's name

Please enter the application's name

This window appears after you just monitored an application's installation and pressed the Finish button in the monitoring window.

Please enter the name of the application in the edit field and then press OK. This will save the installation long to disk, with the name you specify.

If you don't want to save the installation log, then just press Cancel.

It is best if you enter the name of the application. For example, if you install Microsoft Publisher, then enter "Microsoft Publisher" or "MS Publisher" (without quotes). The name you enter in this dialog will appear in the list of the applications you can uninstall using the monitor.


The new installation detected window

Installation detected

When the installation monitor detects that an installation is happening on your computer, it asks you whether to monitor the installation or not.

If this is annoying to you, you can disable the automatic detection of installations .

Because of the wild variety of setup programs available on the market, installation detection can not be 100% accurate. Sometimes you may start a setup program and the installation monitor won't detect it. At other times you may start a program which is not a setup program and the installation monitor will detect it as an installation, and ask you whether you want to monitor it or not.

Here is the dialog that appears when the installation monitor detects a new installation:

If you want to monitor the program's installation that has just been detected, you can press the Yes, start monitoring this installation button in order to start monitoring the installation. If you don't want to monitor the installation, you can press the Cancel button.

See also:

Automatic installation detection settings

How to monitor an installation

How to disable or enable the automatic installation detection


What to do when an application's setup wants you to restart your computer

What to do if a program's setup attempts to restart your computer during installation

An important question is what to do when you are monitoring a program's installation, and the setup wants to restart your computer. The answer is simple: you should let the setup restart your computer without stopping monitoring. Installation monitoring will simply continue after the restart.

If you see that the setup still runs after the restart and keeps installing, let monitoring continue, and stop the monitoring after the application has stopped installing. If after the restart nothing happens, just stop the monitoring.

Here is some additional information about this:

Some setup programs restart your computer during installation, or ask you to restart it. Sometimes the restart is just the final step of the install, and in fact may not be needed. In more rare cases, the restart is performed during the setup, and the installation continues long after the restart.

Setup programs restart your computer because they need to replace some files on your system that are in use by the Windows operating system or by some other program. A file can not be replaced or deleted while it is in use. So the setup program restarts the computer to make sure that the file is no longer in use, and then replaces the file.


The custom restore step of the installation monitor restore wizard

The custom restore step

In this step you can select which items of the application (files, folders, shortcuts, registry items, INI file entries, etc) you want to restore.

The list contains the application items (files, folders, shortcuts, registry items, INI file entries, etc) that are stored into the backup file.

Please check the items that you want to restore and uncheck the the items that you don't want restored.

You can check or uncheck individual items in the list or you can use the Select All and Select None buttons to check or uncheck all of the items.

See also: The other steps of the application restore wizard


The final step of the restore wizard of the installation monitor

The final step of the restore

This final step appears after you have restored an application.

The list contains information about how many items of each type (files, folders, registry entries, shortcuts, etc) have been restored.

If later you want to uninstall the application you have just restored, you can use the installation monitor uninstall wizard in order to uninstall the application.

See also: The other steps of the application restore wizard


The restore options step of the installation monitor restore wizard

Application restore options

In the restore options step you can select the restore options.

Automatic (full) application restore restores all of the items (files, folders, registry entries) of the application.

The Custom restore option shows you a list of application items which can be restored from the backup and enables you to select which items you want to restore.

If you check the After the restore, delete the application backup file checkbox the backup file will be deleted after the restore. If you want to try a custom restore, you may wish to leave this checkbox unchecked.

After setting the options you want, press the Next button to restore the application.

See also: The other steps of the application restore wizard


The restore application progress step of the installation monitor restore wizard

Restore application progress

The restore application progress step appears when the installation monitor is reading data from the backup file in order to prepare the custom restore step (the step in which you choose which application items you want to restore) or in order to prepare to restore the application.

Please wait for this step to complete.

See also: The other steps of the application restore wizard


The restore step of the installation monitor restore wizard

The restore step

The restore step appears when restoring itself is done - that is, when the restore wizard restores the application's items (files, folders, registry entries, INI entries, shortcuts, etc).

While a restore is in progress you can press the Exit button to stop the restore, but the application items that have already been restored will not be removed. We recommend to wait for the restore to complete.

After the restore is done, the final step of the restore wizard will appear.

See also: The other steps of the application restore wizard


The backup selection step of the installation monitor restore wizard

The backup selection step

The first step of the the application restore wizard is the backup selection step.

In this step you can see the list of available backups. You can select the backup you wish to restore, and then press the Next button in order to perform the restore.

The Delete backup button deletes an application backup. After you have deleted the application backup, you won't be able to restore the application any more. Of course, if you have the setup or install kit of the application, you will be able to install the application again.

If you press the Next button to restore an application, the wizard will display the restore options step where you can choose the restore options.

See also: The other steps of the application restore wizard


The automatic detection settings of the installation monitor

The automatic install detection settings

If the Automatically monitor installations checkbox is checked, the installation monitor tries to detect when a new program setup starts, and asks you whether to monitor it or not. The detection is done based on the name of the programs that start.

For example, if a program called setup.exe is started, the installation monitor thinks this is a new installation, and asks you whether to monitor installations or not.

The names which trigger this can be modified in the Automatic installation detection tab of the Settings dialog shown bellow:

Any name that is listed in the left pane will be detected as a setup (installation) program.

For example, if you add an entry called MyInstall.exe there, then when you run MyInstall.exe, the program will ask you if you want to monitor the installation or not.

Wildcards are supported. For example, if you enter MyInstall*.exe in the left pane, and you run MyInstallTEST.exe, that will be detected as an installation. Click here to find out more about using wildcards.

Exceptions

If you enter a file name in the right pane, the program with that name will never trigger a dialog asking you to monitor an installation or not.

If you often run a program which is not an installation program, and the installation monitor bugs you about this every time, you can add that program's file name in the exception pane.

See also:

How to disable automatic installation detection

The other settings tabs


The disk settings of the installation monitor

Disk monitoring settings

You can specify disk monitoring options in this settings dialog.

You can monitor all the hard-disks (recommended) or only the folders you specify.

There are two monitoring type options:

Live monitoring monitors the disk changes in real time. Immediately after the the setup program creates, deletes or modifies a file or a folder on your hard-disk, the installation monitor knows about it and writes this information to the install log.

This is the recommended mode. However, this mode doesn't work on Windows 98.

Using snapshots for monitoring works like this:

  • The installation monitor reads information about all the files and folders on your disk. This information is called a snapshot.
  • The setup program of the application installs the application. During the installation, the setup program creates files and folders on your hard-disks.
  • After the application has installed itself, the installation monitor makes another snapshot. That means it records information about all the files and folders on your disks to a snapshot.
  • The installation monitor compares the snapshot made before the installation with the snapshot made after the installation, and makes a list of the files that have been added, deleted or renamed by the installation program.

Because of the time required to create and compare the snapshots this mode takes a lot of time. The more files and folders you have on your hard-disks, the more time this takes.

See also: The other settings tabs


The INI file settings of the installation monitor

INI files monitoring settings

The settings of most programs are stored in the registry. However some older programs use .INI files to store settings. An .INI file is in fact a text file. You can open in in Notepad and see the settings contained inside. If you look at an .INI file using Notepad, you will see that it contains something like this:

[Section]
Setting=Value
Another setting=Another value

[Another section]
Yet another setting=value
...
etc.

In fact Windows itself uses two INI files called SYSTEM.INI and WIN.INI for storing some very important settings. These two .INI files contain settings used by Windows when it starts and the registry is not yet available because Windows has not fully loaded yet. These two .INI files are very important - without them, Windows can not start.

Many older programs don't use their own .INI files to store settings. They write their settings to the .INI files used by Windows (SYSTEM.INI and WIN.INI), using their own sections.

The installation monitor records changes to the INI files and can undo the changes made to the INI files by a setup program.

This settings tab allows you to change the options related to monitoring the INI files.

You can monitor all the .INI files stored in the Windows folder (recommended setting because most older programs store their .INI files in the Windows folder) or you can choose which .INI files you want monitored.

See also: The other settings tabs


The registry settings of the installation monitor

Registry monitoring settings

The Windows registry is a database which stores important configuration information for all the programs installed on your computer, for Windows and also for your computer's hardware. When a setup program installs an application, it usually adds a lot of entries to the registry.

In this settings tab you can specify registry monitoring options.

You can choose which keys you want to monitor. The default and also the recommended setting is to monitor all keys.

What the different registry keys are for

Each root key in the registry is used for keeping a different kind of information.

HKEY_LOCAL_MACHINE contains the software and hardware configuration of your computer.

HKEY_CURRENT_USER contains the software configuration for the user that is currently logged in.

HKEY_USERS contains the software configuration for all users.

HKEY_CLASSES_ROOT contains some special (OLE, COM, Windows Explorer, etc) software configuration for all users.

HKEY_CURRENT_CONFIG contains hardware configration information.

Monitoring type options

Live monitoring monitors the registry changes in real time. Immediately after the the setup program creates, deletes or modifies registry keys or values, the installation monitor finds out about it and writes this information to the installation log.

This is the recommended mode. However, this mode doesn't work on Windows 98, and you will have to use snapshot monitoring.

Snapshot monitoring works like this:

  • The installation monitor reads all the information from the registry and saves it as a registry snapshot.
  • The setup program of the application installs the application. During the installation, the setup program creates registry keys and values.
  • After the application has installed itself, the installation monitor makes another snapshot of the registry. That means it reads all the registry again and writes all this information to a snapshot.
  • The installation monitor compares the snapshot made before the installation with the snapshot made after the installation, and makes a list of registry keys and values that have been added, deleted or renamed by the installation program.

Because of the time required to create and compare the snapshots this mode takes a lot of time before and after installing the application.

See also: The other settings tabs


Installation monitor startup settings

Startup Settings

This tab of the settings dialog contains startup and confirmation settings.

If you check the Start the installation monitor (this program) every time Windows starts checkbox, then the installation monitor will start every time you start your computer, and will be available to you as a system tray icon.

If you don't want to run the installation monitor all the time, you can just uncheck this checkbox. This means that every time you want to monitor an application's installation, you will have to start the installation monitor manually.

If the Show warning to stop all applications before monitoring an installation checkbox is checked, then before each installation you want to monitor you will be shown a reminder to stop all applications before monitoring an installation. This is a very important warning, and we recommend you to always leave this checkbox checked.

See also:

Stop all applications before monitoring an installation

The other settings tabs


What to do when an application's setup wants you to restart your computer

Why is the monitoring taking so long sometimes?

This problem can be caused by the fact that when installing some programs or drivers your Windows in accessing the registry a lot of times. In this situation the real-time monitoring feature of the Installation Monitor can slow down a lot the computer (it might even look like the computer is completely blocked).

In such situations I advice you to right-click on the "M" icon of the Installation Monitor. Then choose Settings. Change the Monitoring type to "Monitor registry by making snapshots". The monitoring will be a little slower in the beginning but it might perform faster overall.

After finishing the installation of the program, you can switch back to the "Live monitoring" option which usually performs a lot faster.

Also, please note that the "slow down problem" appears for almost any monitoring program. Sorry...


Stop all applications before starting a monitored installation.

Please stop all applications before monitoring a new installation

It is very important to stop all applications before you start monitoring an application's installation! This is the most important condition for using the installation monitor correctly. It is absolutely required and essential.

This page contains a detailed explanation of what can happen if you don't stop all applications before monitoring a new installation.

When monitoring an application's installation, the installation monitor writes to a log file information about all actions that happen on your PC. The installation monitor logs information about the following things:

  • files and folders (creation, deletion, modification)
  • registry keys and values (creation, deletion, modification)
  • INI files (creation, deletion, modification)
  • shortcuts (creation, deletion, modification)

If you monitor an installation and just the installation (setup) program runs, then only the actions performed by that program will be written to the log file. This is the correct way to monitor an application's installation.

If you monitor an installation and, along with the installation (setup) program, other programs are running, then both the setup's actions and the other running programs' actions will be recorded in the install log file.

Later when you uninstall the program using the installation log, all the actions recorded in the install log will be undone. If the install log contains just the actions that the setup program did, then only those actions will be reversed (undone). That means that the program will be removed (uninstalled) correctly.

If the install log contains, along with the setup program's actions, the actions performed by other programs, then both the actions performed by the setup program and the actions performed by the other programs that were running at the time you monitored the install will be undone. This is not a correct uninstall because it involves undoing actions done by the other programs, which have nothing to do with the setup!

Example of what can happen if you don't close your download manager before monitoring

Let's say you monitor an installation and you forget to close your download manager (a program such as GetRight or FlashGet).

During the installation you are monitoring, the download manager finishes downloading some files. It will also automatically save the list of files it is currently downloading (most download managers do this automatically every 2 or 3 minutes).

Later when you uninstall the application you have monitored, the install log will also contain information about the files saved by the download manager. So, when uninstalling the application (unless you carefully select by hand the items you want to uninstall) these files will also get deleted.

So you will lose the files you downloaded during installation and also the file in which your download manager keeps it's list of currently downloading files. When you start the download manager after the uninstall, you will discover that the file list is empty.

This can be avoided by closing your download manager before your start monitoring. This is why we recommend you to close all programs before monitoring an install.

Example of what can go wrong if you don't close Microsoft Word before monitoring

Let's say you monitor an installation. You forget to close Microsoft Word before you start monitoring the installation and you have an important document open in Microsoft Word.

During the installation Microsoft Word is open, and Word automatically saves the document (Microsoft Word has a document automatic saving setting which is on by default, and automatically saves your documents often).

The installation log produced by the monitor will also contain information about the document that Microsoft Word saved. So, when uninstalling the application (unless you carefully select by hand the items you want to uninstall) this document will also get deleted. So you will lose your document.

This can be avoided by closing Microsoft Word before your start monitoring. This is why we recommend you to close all programs before monitoring an installation, if you want to have a correct install log.

How to avoid these problems

You can easily avoid all problems if you remember to close all programs before monitoring an installation.

This is the main condition for using the installation monitor properly. Do this, and there won't be any problem. If you don't do this, then problems are almost guaranteed to appear after you uninstall a monitored application.


The common files uninstall step of the installation monitor uninstall wizard

Common files uninstall

If the program you want to uninstall contains common files, this common files step will appear.

The common files of the application are .DLL, .OCX and other files which are installed in the WINDOWS folder or in other folders such as WINDOWS\SYSTEM and WINDOWS\SYSTEM32. These files may also be used by applications other than the one you are uninstalling. This is why we recommend you to never uninstall the common files - that is, to uncheck them all before pressing the Next button.

The Select All button selects all the items of the application.

The Select None button unselects all the items of the application.

The Next button uninstalls the application.

See also: The other steps of the uninstall wizard


The custom uninstall step of the installation monitor uninstall wizard

The custom uninstall step

This step appears if you select the Custom uninstall option in the uninstall options step of the wizard. The step shows you all of the application items recorded in the install log, and allows you to select which items you want to remove and which items you want to keep.

A list of application items is displayed. You can check or uncheck the items. Check the items you want to remove, and uncheck the items you want to keep.

There are several types of application items:

  • files
  • folders
  • shortcuts
  • registry entries
  • INI settings
  • etc.

Some items are shown in the list. Other items, which are stored in binary format can be viewed in the view data window.

After you are done with checking the items you want to uninstall, press the Next button to uninstall them.

Some selection buttons help you with selecting several items: The Select All button checks all the items of the application. The Select None button unchecks all the items of the application.

The Unselect Common Files button unchecks all the common files of the application. The common files of the application are .DLL, .OCX and other files that are installed in the WINDOWS folder or in other folders under the WINDOWS folder such as the WINDOWS\SYSTEM and WINDOWS\SYSTEM32 folders. These files may be used by other applications. It is recommended to always uncheck all common files.

If you leave some common files checked, an extra wizard step will appear after you press the Next button. That wizard step will show you again the common files you selected for uninstalling, in order to give you another opportunity to unselect them.

After you check all the items you want to remove, please press the Next button to proceed with the uninstall.

See also: The other steps of the uninstall wizard


The final step of the installation monitor uninstall wizard

The final step

This step appears after an application has been uninstalled (removed from your computer).

The step shows you some information such as count of files and registry entries, removed, how much disk space has been freed, and other things.

Please press the Exit button when you are done reading the displayed information.

See also: The other steps of the uninstall wizard


The option selection step of the installation monitor uninstall wizard

The uninstall options step

In this window you are invited to choose uninstall options. It is important to choose the correct options.

Automatic (full) uninstall uninstalls everything that the application has installed.

Custom uninstall shows you every action that the uninstaller will perform before uninstalling and enables you to select which actions you want it to perform and which actions to simply ignore. This is useful especially if you kept other program running while monitoring the application's setup. Advanced users may want to always choose this option in order to examine which application items will be removed.

If the When uninstalling application items perform a backup of each item checkbox is checked the monitor will perform a full backup of the application before uninstalling it. That backup can be restored later using the restore application option.

It is recommended to always check the backup checkbox described above, because if anything goes wrong after the uninstall, you will be able to undo the uninstall - that is, to restore the backup in order to revert your computer to the state it was before uninstalling.

After you choose the uninstall options you want, you can press the Next button to uninstall the application.

See also: The other steps of the uninstall wizard


The progress step of the installation monitor uninstall wizard

The uninstall progress dialog

This window appears when an uninstall is in progress or when the program is reading and sorting data from the install log for the custom uninstall step.

This is just a progress step intended to show you how the processing progresses. Please wait for the processing to finish.

See also: The other steps of the uninstall wizard


The select an application to uninstall step of the installation monitor uninstall wizard

The application selection step step

When you start the uninstall wizard, the window shown bellow will appear. The list contains all the applications which you can fully uninstall using the installation monitor - that is all the installed applications for which you made an installation log.

Please choose an application from the list and press the Next button to uninstall the application. After pressing the Next button, the wizard will go to the uninstall options step in which you can choose the uninstall options.

After selecting an application from the list you can also press the Delete installation log button to delete an installation log. If you delete an installation log for an application, you lose the possibility of uninstalling that application using the installation monitor, and you will have to uninstall it using the application's own uninstaller (if the application has one, and if it works).

See also:

How to monitor an application in order to create an install log

The uninstall options step of the uninstall wizard

The other steps of the uninstall wizard


The uninstall step of the installation monitor uninstall wizard

The uninstall step

This step appears when the uninstaller is performing the uninstall - that is, when it deletes files, folders, removes registry entries, deletes shortcuts, etc.

After completely uninstalling the application, the uninstaller will search your Desktop and Start Menu for shortcuts to the program you have just uninstalled, and will delete those shortcuts. If your Desktop and Start Menu are cluttered, this search for shortcuts may take a long time.

Press the Skip searching for shortcuts button if you want to skip searching for shortcuts. However, if you do this some invalid shortcuts may remain on your Desktop and Start Menu. You can later scan for non-working shortcuts using the Start Menu Cleaner tool in Advanced Uninstaller PRO.

After this step is completed, the final step of the wizard is shown.

See also: The other steps of the uninstall wizard


The running programs step of the installation monitor uninstall wizard

The running programs step

When you uninstall an application, that application may or may not be running. If the application is running, this means that one or more .EXE files of the application are running. This can cause problems when uninstalling, because running .EXE files (and also .DLL, .OCX and other files used by the .EXE files running) are "locked" - that is, Windows prevents any programs (including the uninstaller) from deleting them.

So in order to uninstall a program that is running, the uninstaller has to stop that program before uninstalling it.

This step of the wizard appears if you want to uninstall an application, and the application you want to uninstall is running.

The list shows the .EXE files from the application which you are trying to uninstall and which are currently running on your computer.

In order to properly uninstall the application, you need to stop it before uninstalling. You can either stop the application manually using the Windows Task Manager (press CTRL+ALT+DEL and the Windows Task Manager will appear) or you can just press Next and the uninstaller will automatically stop all the programs shown in the list.

See also: The other steps of the uninstall wizard


The view data window, which allows hexadecimal and string viewing

View data

The view data window allows you to see binary data. Binary data is information that is not stored in text format - that is, it contains non-printable characters. For example a picture is stored inside your computer as binary data, that is, it is stored as numbers. Most of the files and registry entries installed by a program's setup are stored as binary data.

The View data window shows the binary data as both text and numbers. The numbers are shown in hexadecimal format which is the usual format used for easily examining binary data.

You can press the Hide hex display button to only see the information displayed as text, or you can press the Hide string display to only see the information displayed as hexadecimal numbers.

Press the Close button in order to make the window go away after you have finished examining the data.

See also:

The custom uninstall step of the uninstall wizard

What is the hexadecimal format?


Live File Compression Settings

In this dialog you can change the settings of the Live File Compression tool.

Files to compress tab

It allows you to choose between compressing ALL the files in the location you specify, or just the files that have not been accessed during a number of days. The number of days is configurable.

The files that have not been accessed during the past 30 days or so are very unlikely to be accessed in the near future, and if you compress only those, you will be able to avoid the small speed penalty that appears when you work with compressed files.

You can also skip certain file types (extensions). This is useful because files such as .AVI, .ZIP, .RAR, .MP3 are already compressed and trying to compress them would be a waste of time - they can't be compressed further.

Folder exceptions tab

This tab enables you to exclude certain folders and files. This ensures the Live File Compression tool will NEVER try to compress those files.

More information about Live File Compression


Live file compression - choose which action to take: compress or uncompress

Choose which action to take: compress or uncompress

Choose Compress to compress files using live file compression, or Uncompress to uncompress the files.

You may need to uncompress the files if the compression causes problems. Because the file compression is built into Windows and guaranteed by Microsoft, this is highly unlikely. However, a basic design principle of Advanced Uninstaller PRO is that you should be able to undo your own actions in the program, if possible. So, we are giving you the option to uncompress.

More information about Live File Compression


Live File Compression - Compression stage

Compression

During this step of the Live File Compression wizard the program compresses your files. The program uses the internal compression engine of Windows to compress the files.

The program shows you the size of the file, and also the size after compression, and also how much space you saved.

Even after finishing this step, Windows will continue to process your files in order to compress them. This is because Windows doesn't compress the files immediately. After this step is finished, you can work on your computer normally and/or shutdown your computer at any time. Just keep in mind that after the compression phase finishes, you may still see disk activity.

More information about Live File Compression


Live file compression - Add the folders, files or drives you wish to compress

Add the folders, files or drives you wish to compress

Add the files you wish to compress to the file list. Several buttons are available:

Add drive - adds an entire drive to the list

Add folder - adds a certain folder to the list

Add file - adds a certain file to the list

Remove - removes an item from the list (please make sure you select an item first)

After adding items (files, folders or entire drives) to the file list, click Next to compress the selected items.

More information about Live File Compression


Live file compression - Add the folders, files or drives you wish to uncompress

Add the folders, files or drives you wish to uncompress

Add the files you wish to uncompress to the file list. Several buttons are available:

Add drive - adds an entire drive to the list

Add folder - adds a certain folder to the list

Add file - adds a certain file to the list

Remove - removes an item from the list (please make sure you select an item first)

After adding items (files, folders or entire drives) to the file list, click Next to uncompress the selected items.

More information about Live File Compression


Registry Cleaner

Registry Cleaner - FAQ

The most important thing you need to know about the Registry Cleaner is that of the invalid entries found by the program are absolutely safe to clean.

Why is the Registry Cleaner included in Advanced Uninstaller PRO finding fewer errors than other programs?

The simplest answer: safety. Registry cleaners work in a simple way: they read the registry, and check the validity of some entries according to a set of rules. After that, they offer you to remove the entries they consider to be errors.

Unfortunately, these rules are not "set in stone": A registry cleaner can consider that a certain entry is invalid, but in fact that entry can actually be used by a program and be perfectly valid. So, ALL registry cleaners are in fact guessing: a registry cleaner can never be 100% sure that an entry is an error.

Some registry cleaners are more aggressive than others - a more aggressive registry cleaner will find more errors than a less aggressive one.

But, using a more aggressive registry cleaner, can cause problems - the registry cleaner will consider some entries to be errors, and delete them, and in fact those entries may be used by some programs on the computer. For example, you may run a registry cleaner today, and delete 200 entries. And after two weeks, you may run a program, and discover it doesn't work anymore - strange error messages appear, and the program simply doesn't work - why? Because the aggressive registry cleaner has deleted some of the registry entries of that program!

This is why, when we made the Registry Cleaner tool in Advanced Uninstaller, we have been extremely careful when deciding which kinds of registry entries it will consider invalid. We have made a registry cleaner which is not very aggressive; we prefer to clean a bit less entries, but be 100% sure that those entries are indeed errors.

We have also studied other programs in depth and we discovered that most programs available today are too aggressive - they delete some registry entries which, in our opinion, shouldn't be deleted.

As an additional safety feature, you can undo, at any time, any changes made by our Registry Cleaner, using the Registry Cleaner Undo.

When I run the Registry Cleaner I get entries for 'Broken CLSIDs' What are these and how safe is it to have them repaired?

Some programs on your computer are monolithic. An entire program can be made of one large "chunk" of instructions for the computer. Exactly like a car is made of several pieces, some programs are made of several "chunks", which can be .DLLs, COM objects, etc, and which work together to do the program's job.

The CLSIDs (also called class IDs) are information about COM and ActiveX objects. For example, they contain information about which file contains which COM object. Advanced Uninstaller PRO considers a CLSID invalid ONLY if the COM object doesn't exist anymore on your system.

So, it's completely safe to delete invalid CLSIDs - in fact doing so improves the stability of your computer.

Why is that?

Because some program may check in the registry, find a CLSID of a certain COM object, and think that the COM object is available, and attempt to use it. If the COM object is in fact not available in a disk file, the program may crash.

How safe to clean unused .DLL files or should they be left?

The registry contains some references to .DLLs.

For some .DLLs, it stores the amount of programs which use the DLL. For example, if program A and program B both use the file D.DLL, then the registry will store something like:

"D.DLL is used 2 times"

If program A is uninstalled, only program B will be left to use the DLL file, so the registry will contain something like:

"D.DLL is used 1 time"

If program B is also uninstalled, then the registry will contain a record like:

"D.DLL is used 0 times"

Only in such situations, when a DLL is used zero times, Advanced Uninstaller PRO consider this information an invalid entry. Removing such registry entries is completely safe. If a .DLL is used 0 times, Windows behaves exactly the same as if there was no entry in the registry for that .DLL.

In fact, 80-90% of the .DLLs on your computer don't have such registry entries at all.

Is it safe to repair the "file associations"?

It is absolutely safe to delete the invalid file associations detected by Advanced Uninstaller PRO.

A file association is a registry record which tells you something like:

"When the user double-clicks a file with the .DOC extension, run Microsoft Word located here"

A file association is detected to be broken by Advanced Uninstaller PRO if it says something similar to:

"When the user double-clicks a file with the .XYZ extension, run the XYZ program located here" and the program doesn't exist anymore on the disk! So, even if the user clicks on a .XYZ file, nothing happens - in fact, Windows will show you an error message.


Registry Cleaner Undo

The Registry Cleaner Undo Feature

Each time you clean your registry using the Advanced Uninstaller PRO Registry Cleaner, an undo file is created. This way you are always able to undo the modifications made by the Registry Cleaner.

In order to undo the registry repairs made with the Registry Cleaner, please select the third option (called "Undo previously made repairs") in the first step of the registry cleaner, and then press the Next button.

After pressing the Next button, the undo wizard will display the list of undo files:

The first column of the list above represents the date and time at which the repairs were made. The second column contains the number of problems fixed during the repair session. Select any repair session then press the Undo button in order to undo the repairs.

The Delete undo information button deletes the undo information from a certain repair session.


Wildcard characters used when specifying file and folder names in Windows

Wildcards

Many windows tools and utilities support using wildcards in file names. Here are the wildcards supported by Windows:

Wildcard | Matches
? | any character (only one)
* | zero or more characters (any characters)

An example using *

Let's say you have a lot of Word documents with long names. You are staring at the Word open file dialog. You would like to see all the documents which contain the word "letter".

Just enter this wildcard expression in the file name field and press enter:

*letter*.doc

Then the dialog will (temporarily) only show you documents which match the wildcard expression above. The expression above means:

"Show me all documents which start with zero or more characters (any characters), continue with the word letter followed by zero or more characters (any characters), and with the extension .doc

An example using ?

Let's say you have several files on your disk:

file1.txt
file2.txt
file3.txt
file35.txt

Let's say we use this wildcard file name:

file?.txt

The ? matches a single character. The wildcard file name above means "match any filename which starts with file, is followed by a single character, and then the .txt extension follows".

This wildcard will select:

file1.txt
file2.txt
file3.txt

... but it will NOT select:

file35.txt

because it has two characters, instead of one, between file and .txt.

But if you specify the wildcard:

file??.txt

then only

file35.txt

will be selected, because the wildcard file name specifies that there must be 2 characters between file and .txt